# SubStopEvent (SubServers.Host)

net.ME1312.SubServers.Host.API.Event

## Class SubStopEvent

- java.lang.Object
- - net.ME1312.SubServers.Host.Library.Event.Event
  - - net.ME1312.SubServers.Host.API.Event.SubStopEvent

    public class SubStopEvent
    extends Event

Server Stop Event

### Constructor Summary

Constructors
Constructor and Description
`SubStopEvent(java.util.UUID player, java.lang.String server, boolean force)` Server Stop Event

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.UUID` `getPlayer()` Gets the player that triggered the Event
`java.lang.String` `getServer()` Gets the Server Effected
`boolean` `isForced()` Gets if it was a forced shutdown

### Methods inherited from class net.ME1312.SubServers.Host.Library.Event.Event

`getAPI, getHandlers, getPlugin, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SubStopEvent

    public SubStopEvent(java.util.UUID player,
                        java.lang.String server,
                        boolean force)

Server Stop Event

Parameters:
  `player` - Player Stopping Server
  `server` - Server Stopping
  `force` - If it was a Forced Shutdown

### Method Detail

#### getServer

    public java.lang.String getServer()

Gets the Server Effected

Returns:
  The Server Effected

#### getPlayer

    public java.util.UUID getPlayer()

Gets the player that triggered the Event

Returns:
  The Player that triggered this Event or null if Console

#### isForced

    public boolean isForced()

Gets if it was a forced shutdown

Returns:
  Forced Shutdown Status